// HistoControl.cpp : implementation file
//
// Dynamic subclassing, age 346 in "Inside Visual C++"

#include "stdafx.h"
#include "ALDAS.h"
#include "HistoControl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CHistoControl

CHistoControl::CHistoControl()
{
	pData=NULL;
	length=-1;
}

CHistoControl::~CHistoControl()
{
}


BEGIN_MESSAGE_MAP(CHistoControl, CStatic)
	//{{AFX_MSG_MAP(CHistoControl)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CHistoControl message handlers

void CHistoControl::OnPaint() 
{  
	CPaintDC dc(this); // device context for painting
	
	CRect client;
	GetClientRect(&client);


	int wid=client.Width();
	int hei=client.Height();
	int d=10; // margin
	int i, y, ix, dx;
	unsigned int maxData;
	float sx, sy; // scales
  
	
	dc.FillSolidRect(0, 0, d, hei, RGB(255,255,255));  // left
	dc.FillSolidRect(wid-d, 0, d, hei, RGB(255,255,255)); // right
	dc.FillSolidRect(0, hei-d, wid, d, RGB(255,255,255));  // bottom


	if (pData==NULL) {
		dc.TextOut (wid/2-20, hei/2, "pData=NULL!");
	} else {
//		char buf[40];
//		sscanf(buf, "%i", maxData);
//		CString y_axis(buf);
//		dc.TextOut (10, 10, buf);
		dc.MoveTo(d, d);
		dc.LineTo(d, hei-d);
		dc.LineTo(wid-d, hei-d);
		maxData=1;
		for (i=0; i<length; i++) 
			if (pData[i]>maxData) maxData=pData[i];
		sy=(hei-2*d)/float(maxData);
		sx=(wid-2*d)/float(length);

		for (i=0; i<length; i++/*+=2*/) {
			y=int(sy*(pData[i]/*+pData[i+1]*/)+0.5);
			ix=int(sx*i+d+0.5);
			dx=int(sx*(i+1)+d+1.5)-ix; // bar width
			if (dx==0) dx=1;
				dc.FillSolidRect(ix, hei-y-d, dx, y, RGB(0,0,255)); 
				dc.FillSolidRect(ix, 0, dx, hei-y-d, RGB(255,255,255)); 
		}
	}
	
	// Do not call CStatic::OnPaint() for painting messages
}

