// NoiseFitDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNoiseFitDlg dialog
#include "GraphControl.h"

class CNoiseFitDlg : public CDialog
{
// Construction
public:
	void Init(CAxis* a1, CAxis* a2, int ch, BOOL* bad, CAxis* x, CAxis* y, CFitFunction* f=NULL);
	CNoiseFitDlg(CWnd* pParent = NULL);   // standard constructor
	CNoiseFitDlg::~CNoiseFitDlg();

// Dialog Data
	//{{AFX_DATA(CNoiseFitDlg)
	enum { IDD = IDD_NOISEFIT };
	int		channelNumber;
	BOOL	badChannelCheck;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNoiseFitDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNoiseFitDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBadChannel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CAxis* axis2;
	CAxis* axis1;
	CAxis* yAxis;
	CAxis* xAxis;
	BOOL* badChannel;
//	int channel;

protected:
	CFitFunction * func;
	CGraphControl graph;
public:
	CString boxTitle;
};
