#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ConfigDlg.h : header file

// CConfigDlg dialog

class HAL;

class CConfigDlg : public CDialog
{
// Construction
public:
	CConfigDlg(CWnd* pParent = NULL, HAL * h = NULL);   // standard constructor
	BOOL OnInitDialog();
// Dialog Data
	//{{AFX_DATA(CConfigDlg)
	enum { IDD = ID_MODIFY_DSP };
	CButton	addDspButton;
	CButton	removeDspButton;
	CComboBox dspListBox;
	CComboBox llcardListBox;
	CComboBox biascardListBox;
	CComboBox moduleListBox;
	BOOL	tccAttached;
	CBitmapButton dip1;
	CBitmapButton dip2;
	CBitmapButton dip3;
	CBitmapButton dip4;
	CBitmapButton dip5;
	int		dspLink0;
	int		dspLink1;
	int		dspLink2;
	int		dspLink3;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigDlg)
	afx_msg void OnRemoveDsp();
	afx_msg void OnSelchangeDspCombo();
	virtual void OnOK();
	afx_msg void OnDipButton( UINT nID );
	afx_msg void OnAddDsp();
	afx_msg void OnSelchangeLlcardCombo();
	afx_msg void OnSelchangeModuleCombo();
	afx_msg void OnDspLink0();
	afx_msg void OnDspLink1();
	afx_msg void OnDspLink2();
	afx_msg void OnDspLink3();
	afx_msg void OnTcc();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	UINT address;
	void UpdateWindow();
	void AddRemoveModule(int link);
	HAL * hal;
};
