// ALDASView.h : interface of the CALDASView class

class CALDASView : public CView
{
protected: // create from serialization only
	CALDASView();
	DECLARE_DYNCREATE(CALDASView)

// Attributes
public:
//	afx_msg void OnDSP(UINT nID);
	CALDASDoc* GetDocument();
	void OnInitialUpdate();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CALDASView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CALDASView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CALDASView)	
	afx_msg void OnDSP( UINT nID );
	afx_msg void OnInitButton( UINT nID );
	afx_msg void OnSystemCode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void AddDSPButtons();


	int mNumDataRows;
	int mTopofFirstRow;
	int mRowHeight;
	int mColumnWidth;
	CButton * DSPButton[16];
	CBitmapButton * initButtons[16];
};

#ifndef _DEBUG  // debug version in ALDASView.cpp
inline CALDASDoc* CALDASView::GetDocument()
   { return (CALDASDoc*)m_pDocument; }
#endif