// CDelayScanDoc.h : interface of the CCollectDataDoc class
//
/////////////////////////////////////////////////////////////////////////////
class CData; // forward declaration
class Hybrid;

class CDelayScanDoc : public CScanDoc
{
friend class CDelayScanView;

protected: // create from serialization only
	CDelayScanDoc();
	DECLARE_DYNCREATE(CDelayScanDoc)

// Attributes
public:
	UINT num_points;
	float increment;
	float max;
	float min;
// Operations
public:
	float hitRatio;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCollectDataDoc)
	public:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	void Serialize(CArchive& ar);
	virtual ~CDelayScanDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDelayScanDoc)
	afx_msg void OnFileClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void AnalyzeData();
};