// DelayScanView.h : interface of the CDelayScanView class
//

class DelayScanDoc;

class CDelayScanView : public CScrollView
{
protected: // create from serialization only
	CDelayScanView();
	DECLARE_DYNCREATE(CDelayScanView)

// Attributes
public:
	int hei;
	int wid;
	CDelayScanDoc * GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDelayScanView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_VIRTUAL
//	virtual void OnMouseMove(UINT nFlags, CPoint point);

// Implementation
public:
	virtual ~CDelayScanView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif



// Generated message map functions
protected:
	//{{AFX_MSG(CDelayScanView)
	afx_msg void OnSetheading();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
 
protected:
	CRect printRect;
	float* yTemp;
	float* xTemp;
	float* eTemp;
};

#ifndef _DEBUG  // debug version in CollectDataView.cpp
inline CDelayScanDoc * CDelayScanView::GetDocument()
   { return (CDelayScanDoc*)m_pDocument; }
#endif
