// CollectDataView.h : interface of the CGetDataExternalTrigsView class
//
/////////////////////////////////////////////////////////////////////////////

class CGetDataExternalTrigsView : public CScrollView
{
protected: // create from serialization only
	CGetDataExternalTrigsView();
	DECLARE_DYNCREATE(CGetDataExternalTrigsView)

// Attributes
public:
	int hei;
	int wid;
	void MakeScale (unsigned int hitMax, int& upper, int& nTicks, int& mTicks);
	CGetDataExternalTrigsDoc * GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetDataExternalTrigsView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGetDataExternalTrigsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CGetDataExternalTrigsView)
	afx_msg void OnSetheading();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CRect printRect;
	void DrawHisto(CDC* pDC, CRect rect, unsigned int* data, int start, int length);
};