// ScanView.h : interface of the CScanView class
//

class CScanDoc;

//enum VIEWMODE {LineFitView, HistogramView};
class CScanView : public CScrollView
{
protected: // create from serialization only
	CScanView();
	DECLARE_DYNCREATE(CScanView)

// Attributes
public:
	int hei;
	int wid;
	CScanDoc * GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScanView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_VIRTUAL
//	virtual void OnMouseMove(UINT nFlags, CPoint point);

// Implementation
public:
	virtual ~CScanView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif



// Generated message map functions
protected:
	//{{AFX_MSG(CScanView)
	afx_msg void OnHistogramView();
	afx_msg void OnLineFitView();
	afx_msg void OnUpdateHistogramView(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLineFitView(CCmdUI* pCmdUI);
	afx_msg void OnSetheading();
//	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
 
protected:
	CRect printRect;
	VIEWMODE viewMode;
	float* yTemp;
	float* xTemp;
	float* eTemp;
};

#ifndef _DEBUG  // debug version in CollectDataView.cpp
inline CScanDoc * CScanView::GetDocument()
   { return (CScanDoc*)m_pDocument; }
#endif
