// CStrobeScanDoc.h : interface of the CCollectDataDoc class
//
/////////////////////////////////////////////////////////////////////////////
class CData; // forward declaration
class Hybrid;

class CStrobeScanDoc : public CScanDoc
{
friend class CStrobeScanView;

protected: // create from serialization only
	CStrobeScanDoc();
	DECLARE_DYNCREATE(CStrobeScanDoc)

// Attributes
public:
	UINT num_points;
	float increment;
	float max;
	float min;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCollectDataDoc)
	public:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL calLine[4];
	virtual ~CStrobeScanDoc();
//	void Serialize(CArchive& ar);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CStrobeScanDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void AnalyzeData();
	int viewMode;
};