// StrobeScanView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStrobeScanView view
class CStrobeScanDoc;

class CStrobeScanView : public CScanView
{
protected:
	CStrobeScanView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CStrobeScanView)

// Attributes
public:
	CStrobeScanDoc * GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStrobeScanView)
	protected:
//	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CStrobeScanView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CStrobeScanView)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnHistogramView();
	afx_msg void OnLineFitView();
	afx_msg void OnUpdateHistogramView(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLineFitView(CCmdUI* pCmdUI);
	afx_msg void OnSetheading();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#ifndef _DEBUG  // debug version in CollectDataView.cpp
inline CStrobeScanDoc * CStrobeScanView::GetDocument()
   { return (CStrobeScanDoc*)m_pDocument; }
#endif
