// CNoiseScanDoc.h : interface of the CCollectDataDoc class
//
/////////////////////////////////////////////////////////////////////////////
class CData; // forward declaration
class Hybrid;

class CNoiseScanDoc : public CScanDoc
{
friend class CNoiseScanView;

protected: // create from serialization only
	CNoiseScanDoc();
	DECLARE_DYNCREATE(CNoiseScanDoc)

// Attributes
public:
	UINT num_points;
	float increment;
	float max;
	float min;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCollectDataDoc)
	public:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNoiseScanDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CNoiseScanDoc)
	afx_msg void OnFileClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void AnalyzeData();
};