// NoiseScanDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ALDAS.h"
#include "NoiseScanDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CNoiseScanDlg dialog


CNoiseScanDlg::CNoiseScanDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNoiseScanDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNoiseScanDlg)
	mIncrement = 0.01;
	mMaximumThreshold = 0.1;
	mMimimumThreshold = 0.05;
	//}}AFX_DATA_INIT
}


void CNoiseScanDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNoiseScanDlg)
	DDX_Text(pDX, IDC_INCREMENT, mIncrement);
	DDV_MinMaxDouble(pDX, mIncrement, 0., 100.);
	DDX_Text(pDX, IDC_MAXIMUM, mMaximumThreshold);
	DDV_MinMaxDouble(pDX, mMaximumThreshold, 0., 100.);
	DDX_Text(pDX, IDC_MINIMUM, mMimimumThreshold);
	DDV_MinMaxDouble(pDX, mMimimumThreshold, 0., 100.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNoiseScanDlg, CDialog)
	//{{AFX_MSG_MAP(CNoiseScanDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CNoiseScanDlg message handlers
