// TriggerModeDlg.cpp : implementation file
//

#include "stdafx.h"
#include <afxtempl.h>
#include "aldas.h"

#include "message.h"
#include "dspcard.h"
#include "llcard.h"
#include "module.h"

#include "hal.h"

#include "TriggerModeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CTriggerModeDlg dialog

CTriggerModeDlg::CTriggerModeDlg(CWnd* pParent /*=NULL*/, HAL * h)
	: CDialog(CTriggerModeDlg::IDD, pParent)
{
	hal = h;
	//{{AFX_DATA_INIT(CTriggerModeDlg)
	triggers = 1000;
	externalTrigs = -1;
	internalTrigs = -1;
	//}}AFX_DATA_INIT
}

void CTriggerModeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTriggerModeDlg)
	DDX_Text(pDX, IDC_NUM_TRIGGERS, triggers);
	DDV_MinMaxInt(pDX, triggers, 0, 99999);
	DDX_Radio(pDX, IDC_EXTERNAL, externalTrigs);
	DDX_Radio(pDX, IDC_INTERNAL, internalTrigs);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTriggerModeDlg, CDialog)
	//{{AFX_MSG_MAP(CTriggerModeDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CTriggerModeDlg message handlers
