// TccDlg.cpp : implementation file
//

#include "stdafx.h"
#include "aldas.h"
#include "TccDlg.h"
#include "TccCard.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CTccDlg dialog

CTccDlg::CTccDlg(CWnd* pParent /*=NULL*/, TccCard * tccCard)
	: CDialog(CTccDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTccDlg)
	tcc=tccCard;
	delay = 0;
	impulse = 0;
	tfEmpty = FALSE;
	tfOver = FALSE;
	clock = -1;
	//}}AFX_DATA_INIT
}

void CTccDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTccDlg)
	DDX_Text(pDX, IDC_DELAY, delay);
	DDV_MinMaxInt(pDX, delay, 0, 255);
	DDX_Text(pDX, IDC_IMPULSE, impulse);
	DDX_Check(pDX, IDC_TF_EMPTY, tfEmpty);
	DDX_Check(pDX, IDC_TF_OVER, tfOver);
	DDX_Radio(pDX, IDC_CLOCK0, clock);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTccDlg, CDialog)
	//{{AFX_MSG_MAP(CTccDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CTccDlg message handlers

BOOL CTccDlg::OnInitDialog() {
	if (tcc==NULL) return FALSE;
	//tcc->GetTccCardStatus();
	clock=tcc->GetClock();
	delay=tcc->GetDelay();
	impulse=tcc->GetImpulse();
	tfEmpty=tcc->GetTfEmpty();
	tfOver=tcc->GetTfOver();

	CDialog::OnInitDialog();
	return TRUE;
}

void CTccDlg::OnOK() 
{
//	CDataExchange dx(this, TRUE);
//	DoDataExchange(&dx);
	UpdateData();
	try {
		tcc->SetClock (clock);
//	tcc->SetClock (clock);
		tcc->SetDelay (delay);
		tcc->SetImpulse (impulse);
	}	catch (int error) {
		TRACE("Caught an error, number %i.\n", error);
	}
	CDialog::OnOK();
}
