// CollectDataView.h : interface of the CCollectDataView class
//
/////////////////////////////////////////////////////////////////////////////

class CCollectDataView : public CScrollView
{
protected: // create from serialization only
	CCollectDataView();
	DECLARE_DYNCREATE(CCollectDataView)

// Attributes
public:
	int hei;
	int wid;
	void MakeScale (unsigned int hitMax, int& upper, int& nTicks, int& mTicks);
	CCollectDataDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCollectDataView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	CRect graphRect[6];
	virtual ~CCollectDataView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCollectDataView)
	afx_msg void OnSetheading();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CRect printRect;
	CRect DrawHisto(CDC* pDC, CRect rect, unsigned int* data, int start, int length);
};

#ifndef _DEBUG  // debug version in CollectDataView.cpp
inline CCollectDataDoc* CCollectDataView::GetDocument()
   { return (CCollectDataDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
