// NoiseScanView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNoiseScanView view
class CNoiseScanDoc;

class CNoiseScanView : public CScanView
{
protected:
	CNoiseScanView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNoiseScanView)

// Attributes
public:
	CNoiseScanDoc * GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNoiseScanView)
	protected:
//	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CNoiseScanView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CNoiseScanView)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnHistogramView();
	afx_msg void OnUpdateHistogramView(CCmdUI* pCmdUI);
	afx_msg void OnLineFitView();
	afx_msg void OnUpdateLineFitView(CCmdUI* pCmdUI);
	afx_msg void OnSetheading();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#ifndef _DEBUG  // debug version in CollectDataView.cpp
inline CNoiseScanDoc * CNoiseScanView::GetDocument()
   { return (CNoiseScanDoc*)m_pDocument; }
#endif
