//
//   fitLSQ.h
//

// These are in erf.cpp
float erfcc(float x);

// gamma.cpp
float gammln(float xx);
float factrl(int n);
float bico(int n, int k);
float factln(int n);
float beta(float z, float w);
float gammp(float a, float x);
float gammq(float a, float x);
void gser(float * gamser, float a, float x, float * gln);
void gcf(float * gammcf, float a, float x, float * gln);


// These function are found in CurveFit.c
void fintgauss (float, float*, float*, float*, int);
void intgausscomp (float x, float a[], float * y, float dyda[], int na);
void parabola (float x, float a[], float * y, float dyda[], int na);
void fguass ();
void FitLine(float * x, float * y, float ndata,  float weight[], int mwt, 					 
				 float *a, float *b, float *siga, float *sigb, float *chi2, 
				 float *q);

// This function is found in gaussj.c
int gaussj (float**a, int, float** ,int);

// This one is in lsqfit.c
int mrqmin (float  *x,
				float  *y,
				float  *sig,
				int     ndata,
				float  *a,
				int     ma,
				int     *lista,
				int     mfit,
				float  **covar,
				float  **alpha,
				float  *chisq,
				void    (*funcs)(float,float *,float *,float *,int),
				float  *alamda );

/* ======================================================= */
/*          vector def                                     */
/* ======================================================= */

// These are in Utility.c
void nrerror (char*);

int   *ivector (int,int);
void  free_ivector(int *, int, int);

float  *vector (int, int);
void    free_vector(float *, int, int);

float  **matrix (int, int, int, int);
void    free_matrix(float**, int, int, int, int);
