#include <time.h>

void handle_sig();
void dsp_pause(int time);
int do_echo(int);
void prep_dsp(int);

//typedef int int32;
typedef unsigned int u_int32;

//#define CLOCK() simp_clock()
/***************** end of time-related definitions *********************/

#define TIMEOUT_PERIOD (2)
#define DSP_RES_PERIOD 20


	/* Error logging functions:
	   log_err() and log_boot() use printf() to print out error messages.
	   Other functions may be subsituted for log_err() and log_boot().
	   To access some global variables, functions may be included in
	   hos_init.c */

	/* max number of errors to log; subsequent errors are counted but not logged */
#define MAX_ERR_LOG  (50)

	/* parm1 = int error code, 	parm2 = char* error message */
	/* note that a host-specific offset may be added to parm1 here */
#define LOG_ERR(parm1, parm2) log_err((1000+parm1), parm2)	/* log error */

	/* parm1 = dsp_no */
#define LOG_BOOT( ) log_boot( )				/* log contents of boot structure */
